Package io.vertx.core

## Interface Handler<E>

- All Known Subinterfaces:
    `APIKeyHandler`, `AuthenticationHandler`, `AuthenticationHandler`, `AuthenticationHandler`, `AuthorizationHandler`, `BasicAuthHandler`, `BodyHandler`, `BodyStream<T>`, `ChainAuthHandler`, `ClusterHealthCheck`, `CorsHandler`, `CSPHandler`, `CSRFHandler`, `DigestAuthHandler`, `ErrorHandler`, `FaviconHandler`, `FormLoginHandler`, `GraphQLHandler`, `GraphQLWSHandler`, `GrpcIoServer`, `GrpcServer`, `HealthCheckHandler`, `HSTSHandler`, `HttpProxy`, `InputTrustHandler`, `InputTrustHandler`, `InputTrustHandler`, `JsonParser`, `JWTAuthHandler`, `LoggerHandler`, `MethodOverrideHandler`, `MultiTenantHandler`, `OAuth2AuthHandler`, `OpenAPIRouterHandler`, `OtpAuthHandler`, `PlatformHandler`, `PlatformHandler`, `PlatformHandler`, `ProtocolUpgradeHandler`, `ProtocolUpgradeHandler`, `ProtocolUpgradeHandler`, `ProxyHandler`, `RecordParser`, `RedirectAuthHandler`, `ResponseContentTypeHandler`, `ResponseTimeHandler`, `Router`, `RouteToEBServiceHandler`, `SecurityAuditLoggerHandler`, `SecurityPolicyHandler`, `SecurityPolicyHandler`, `SecurityPolicyHandler`, `SessionHandler`, `SimpleAuthenticationHandler`, `SockJSTermHandler`, `StaticHandler`, `StompServerHandler`, `TemplateHandler`, `TimeoutHandler`, `ValidationHandler`, `WebAuthn4JHandler`, `XFrameHandler`
  All Known Implementing Classes:
    `APIKeyHandler`, `APIKeyHandler`, `AuthorizationHandler`, `AuthorizationHandler`, `BasicAuthHandler`, `BasicAuthHandler`, `BodyHandler`, `BodyHandler`, `ChainAuthHandler`, `ChainAuthHandler`, `CorsHandler`, `CorsHandler`, `CSPHandler`, `CSPHandler`, `CSRFHandler`, `CSRFHandler`, `DefaultAbortHandler`, `DefaultAckHandler`, `DefaultBeginHandler`, `DefaultCommitHandler`, `DefaultConnectHandler`, `DefaultNackHandler`, `DefaultSendHandler`, `DefaultSubscribeHandler`, `DefaultUnsubscribeHandler`, `DigestAuthHandler`, `DigestAuthHandler`, `ErrorHandler`, `ErrorHandler`, `EventBusHandler`, `FaviconHandler`, `FaviconHandler`, `FormLoginHandler`, `FormLoginHandler`, `GraphQLHandler`, `GraphQLHandler`, `GraphQLWSHandler`, `GraphQLWSHandler`, `GrpcServer`, `GrpcServer`, `HealthCheckHandler`, `HealthCheckHandler`, `HSTSHandler`, `HSTSHandler`, `HttpProxy`, `JsonParser`, `JsonParser`, `JWTAuthHandler`, `JWTAuthHandler`, `LoggerHandler`, `LoggerHandler`, `MethodOverrideHandler`, `MethodOverrideHandler`, `MultiTenantHandler`, `MultiTenantHandler`, `OAuth2AuthHandler`, `OAuth2AuthHandler`, `OtpAuthHandler`, `OtpAuthHandler`, `ProxyHandler`, `ProxyHandler`, `RecordParser`, `RecordParser`, `RedirectAuthHandler`, `RedirectAuthHandler`, `ResponseContentTypeHandler`, `ResponseContentTypeHandler`, `ResponseTimeHandler`, `ResponseTimeHandler`, `Router`, `Router`, `SecurityAuditLoggerHandler`, `SecurityAuditLoggerHandler`, `SessionHandler`, `SessionHandler`, `SimpleAuthenticationHandler`, `SimpleAuthenticationHandler`, `StaticHandler`, `StaticHandler`, `StompServerHandler`, `StompServerHandler`, `TemplateHandler`, `TemplateHandler`, `TimeoutHandler`, `TimeoutHandler`, `ValidationHandler`, `ValidationHandler`, `WebAuthn4JHandler`, `WebAuthn4JHandler`, `XFrameHandler`, `XFrameHandler`
  Functional Interface:
    This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

      @FunctionalInterface
      public interface Handler<E>

  A generic event handler.

  This interface is used heavily throughout Vert.x as a handler for all types of asynchronous occurrences.

  Author:
    Tim Fox

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `handle​(E event)` | Something has happened, so handle it.

- - ### Method Detail

    - #### handle

          void handle​(E event)

      Something has happened, so handle it.
      Parameters:
        `event` - the event to handle